[Stable Update] 2016-08-24 - Kernels, Nvidia, Deepin, VirtualBox, KDE Frameworks

update
stable

#1

Hi community,

We renewed some of our kernels (most of the EOL tagged kernels are now removed), updated nvidia drivers to 367.44, which fixes the black screen bug and released VirtualBox 5.1.4. We ship now KDE Framework 5.25.0, gstreamer 1.8.3, updated Deepin packages and some of our lib32-libraries and released the latest Intel driver.

Most work went into Calamares, which is now at version v2.4-rc1. These are the changes:

  • Fixed an issue in the users module which could cause failed installs when entering and then deleting a name (validation kicks in correctly now).
  • Fixed Portage dependency management in the packages module (contribution by V3n3RiX).
  • Configuration defaults fixes (contribution by Philip Müller).
  • Internet connection status is now written into GlobalStorage so it’s available to all modules (the key is “hasInternet”).
  • Added support for GeoIP in the locale module, this relies on freegeoip which is open source, and can be used both as a service (freegeoip.net) as well as self-hosted. Geolocation is used to pre-select the timezone (same as Ubiquity). While this feature only performs a single HTTP GET and sends no user data, it has potential privacy implications. We have enabled this feature by default on Manjaro. Maintainer may want to disable it. Simply comment the line in locale.conf.

Archlinux upstream fixes are now from: Wed Aug 24 19:35 CEST 2016.

Please report any issues you may have with this update. Also read our troubleshoots to avoid known issues. Additional it would be good to test one of our preview install medias to check these changes on a fresh install. Detailed package information can be found here.

Kind regards,
Philip Müller and the Manjaro Development Team


Troubleshoots

Issues with updating MATE

Some users have mate-menu installed from AUR. Please remove this package if you use the GTK2 version of MATE before trying to update. If you have a different issue with updating, please post.

LibreOffice and GTK3

LibreOffice might be broken on gtk-based Desktop Environments. Workaround would be to force a look to Libreoffice by editing /etc/profile.d/libreoffice*sh. We recommend to uncomment SAL_USE_VCLPLUGIN=gtk. Our KDE edition isn’t affected by this issue.

GTK3

With this we updated Gnome and GTK to 3.20. This will break most of the themes, which will be fixed if and when their developers decide to update them. Some GTK 3.20-compliant themes are ready now - see further down this post.

The new default Manjaro GTK theme, which is GTK 3.20 compatible, is Vertex-Maia

You can install it with:

sudo pacman -Sy vertex-maia-themes vertex-maia-icon-theme xcursor-maia

KDE users should default to Maia theme:

sudo pacman -Sy maia-icon-theme gtk-theme-maia plasma5-themes-maia xcursor-maia

QT apps style with GTK - only needed for non-KDE desktop environments!

With QT 5.7 you need to install qt5-styleplugins and qt5ct and configure your system to have an unified look again.

ufw

If you have issues with ufw not working anymore, you have to copy your custom rules to a different folder. Do it like this:

sudo cp -v /usr/lib/ufw/user.rules.pacsave /etc/ufw/user.rules
sudo cp -v /usr/lib/ufw/user6.rules.pacsave /etc/ufw/user6.rules

steam

Steam might not work due incompatiblity of libgpg. You my try followed command to “fix” it:

find ~/.steam/root/ \( -name "libgcc_s.so*" -o -name "libstdc++.so*" -o -name "libxcb.so*" -o -name "libgpg-error.so*" \) -print -delete
find ~/.local/share/Steam/ \( -name "libgcc_s.so*" -o -name "libstdc++.so*" -o -name "libxcb.so*" -o -name "libgpg-error.so*" \) -print -delete

Reference: Archlinux wiki


Did you experience any issue with this update?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Current supported kernels

  • Linux310 3.10.102
  • Linux312 3.12.62
  • Linux314 3.14.77
  • Linux316 3.16.37
  • Linux318 3.18.40
  • Linux41 4.1.31
  • Linux44 4.4.19
  • Linux46 4.6.7 [EOL]
  • Linux47 4.7.2
  • Linux-RT-LTS 4.4.17_rt25
  • Linux-RT 4.6.7_rt11

Package changes

  • community i686: 273 new and 246 removed package(s)
  • community x86_64: 311 new and 282 removed package(s)
  • core i686: 43 new and 46 removed package(s)
  • core x86_64: 43 new and 46 removed package(s)
  • extra i686: 331 new and 385 removed package(s)
  • extra x86_64: 331 new and 385 removed package(s)
  • multilib x86_64: 30 new and 19 removed package(s)

Huge fonts in application menus
AMDGPU improvements for Manjaro OUTDATED
Steam Games and Errors: Borderlands 2 & The Pre-Sequel
#3

The Manjaro Xfce bugs described in the following threads are still not fixed entirely, despite the new LightDM version.

The issues are suspectedly with the LightDM and/or light-locker packages. Issues are:

Not being able to re-login after locking the screen. And because locking the screen happens automatically, the issue can be quite annoying. Now the new LightDM version is out, but it only partly solves the issue. Sometimes re-logging in still doesn’t work. At other times re-logging in is possible, but then the session is lost, so it’s like you just logged in after a fresh reboot.


#4

Keep 370. It’s the newer version anyway! :wink: Just make sure you have the matching extramodules for your kernel installed, too!


#5

370-series is now in unstable as of now. It may be readded to testing with one of the next updates. However this is stable branch and therefore no issue …


#6

Tried to update but got error nvidia45 dependancys (nvidia-utils 367.xx) could not be removed. Removed kernel 4.5 and all went fine. Instructed two people doing the same. It’s a bit frustrating for newcomers :slight_smile:


#7

Hello philm !

Please , waiting update to KDE Apps 16.08 !:blush::v:


#8

Everything is OK!!!


#9

I’m having issues with gnome-documents - even with the unoconv package installed I get the “LibreOffice support is not available” message.

I have:

libreoffice-fresh 5.2.0-3 (with libreoffice-still 5.1.5-3 this does not work either)
gnome-documents 3.20.1-1
unoconv 0.7-1


#10

All working as normal, Light DM issue fixed (I waited as it was still possible to login with the black screen! :grin:. Call me lazy but it was no big deal). Nvidia seem to have got their act together quickly, so thanks to their guys, and thanks Team Manjaro for a smooth update :smile:


#11

Another solid update with no problems. :slight_smile:


#12

Smooth update on a KDE install (gpu is Nvidia).

JohnW


#13

All appears okay - however did notice the following: unknown media type in type ‘all/all files.’ Is this something to be concerned about?


#14

After update something, sound up/down/mute notification does not work anymore on bspwm with volumeicon + xfce4-notifyd. notify-send and brightness up/down notification works good.


#15

Slightly off-topic but when updates take place I never get them for maybe half a day or a day. What’s is up with that?

For example both from GUI and terminal I am currently told ‘your system is up to date’ (terminal adds ‘there is nothing to do’) but I know this update is waiting to drop and I know other users have already got it. I’ve resynchronised my mirrors but that changes nothing. Is there something I need to change at my end to get updates without waiting an extra day?

As always thanks for the good work in providing an excellent OS. :grinning:


#16

Thanks Phil, core team & everyone else who contributed to this latest release - my machine is purring along as usual! Much appreciated.

More power to you all & the rest of the Manjaro community.

Ruziel :wink:


#17

it’s because @philm announce update when he put the update in the “master” repository. it can take times until the mirror your system use to sync with it and to be up to date… usually not more than 24h.
some mirror sync every 6h, other 12h, other 24h.
you can see the status of the mirrors here


#18

Run well for me. Gnome edition nvidia gpu kernel 4.4


#19

Thank you.

Update went smoothly (after learning pacman-mirrors -i). :grinning:


#20

those problems is on notebooks or desktop pc?


#21

Update on xfce, kernel 4.7.0-0 doesnt recognize my network device anymore. Downgrading networkmanager from 1.2.5 back to 1.2.4 didnt solve the problem

Edit: might be an issue on my side since my isp cant keep up an internet connection right now. I’m investigating
edit2: problem is solved by re-running the updater.